%define oname     ZMusic

%define major     1
%define libname   %mklibname %{name} %{major}
%define libname_l %mklibname %{name}lite %{major}
%define devname   %mklibname %{name} -d

Name:           zmusic
Version:        1.1.14
Release:        %mkrel 1
Summary:        GZDoom's music system as a standalone library
License:        GPLv3 and LGPLv2+
Group:          System/Libraries
URL:            https://zdoom.org/
Source0:        https://github.com/ZDoom/ZMusic/archive/%{version}/%{oname}-%{version}.tar.gz
Patch1:         system-fluidsynth.patch
Patch2:         system-gme.patch
Patch3:         dumb-dumb.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)

# DUMB is modified to read OggVorbis samples
Provides:       bundled(dumb) = 0.9.3

%description
This is the music playback code from gzdoom, which was separated
into its own code repository starting with gzdoom-4.4.0.

%package -n %{libname}
Summary:        GZDoom's music system as a standalone library
Group:          System/Libraries
Provides:       zmusic = %{version}-%{release}

Recommends:     fluid-soundfont-gm
Recommends:     fluid-soundfont-gs

%description -n %{libname}
This is the music playback code from gzdoom, which was separated
into its own code repository starting with gzdoom-4.4.0.

%package -n %{libname_l}
Summary:        GZDoom's music system as a standalone lite library
Group:          System/Libraries
Provides:       zmusiclite = %{version}-%{release}

%description -n %{libname_l}
This is the music playback code from gzdoom, which was separated
into its own code repository starting with gzdoom-4.4.0.

%package -n %{devname}
Summary:        Headers for the ZMusic library
Group:          Development/C++
Requires:       %{libname} >= %{version}-%{release}
Requires:       %{libname_l} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}lite-devel = %{version}-%{release}

%description -n %{devname}
This subpackage contains the headers for the zmusic library, which
is ZDoom's music component library.

%prep
%autosetup -p0 -n %{oname}-%{version}

%build
%ifarch i586
# Allow sw to use intrinsics (functions like _mm_set_sd).
# Guarded by cpuid calls by sw.
export CFLAGS="%optflags -msse -msse2"
export CXXFLAGS="%optflags -msse -msse2"
%endif
%cmake \
	-DINSTALL_DOCS_PATH="%{_defaultdocdir}/%{name}" \
	-DDYN_SNDFILE=OFF \
	-DDYN_MPG123=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license licenses/*
%{_libdir}/libzmusic.so.%{major}{,.*}

%files -n %{libname_l}
%doc README.md
%license licenses/*
%{_libdir}/libzmusiclite.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%license licenses/*
%{_includedir}/*.h
%{_libdir}/libzmusic.so
%{_libdir}/libzmusiclite.so
%{_libdir}/cmake/%{oname}/


%changelog
* Thu May 15 2025 ns80 <ns80> 1.1.14-1.mga10
+ Revision: 2183684
- new version 1.1.14

* Fri Apr 05 2024 daviddavid <daviddavid> 1.1.12-1.mga10
+ Revision: 2054549
- new version: 1.1.12
- use system fluidsynth and gme

* Tue Feb 28 2023 daviddavid <daviddavid> 1.1.11-1.mga9
+ Revision: 1945706
- initial package zmusic (needed for gzdoom)

